com.mockobjects.sql

## Class MockConnection2

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.sql.MockConnection2

All Implemented Interfaces:
  Verifiable, java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

    public class MockConnection2
    extends MockObject

MockConnection2 is a tempary replacement for the MockConnection. It differs from the MockConnection in the way in which preparedstatements are handled. The changes are significant enough to break compatiblity with exsising testcases so MockConnection2 provides a migration path to the new system of handling preparedstatements. This calls will eventually be merged back into MockConnection when it is felt systems using the classes have been provided with enough time to migrate.

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`MockConnection2()`
`MockConnection2(java.lang.String name)`

### Method Summary

Methods
`void` `addExpectedAutoCommit(boolean autoCommit)` Register the anticipated value for autoCommit during testing.
`void` `addExpectedPreparedStatementString(java.lang.String sql)` Deprecated. Add an SQL string to use with a prepared staement.
`void` `clearWarnings()` Calls notImplemented.
`void` `close()` Will throw the CloseException if it has been set, or otherwise increment the number or close calls.
`void` `commit()` Increments the number of commit calls.
`java.sql.Statement` `createStatement()` Will throw either of the statement exceptions if one has been set, or otherwise return the Statement passed to setupStatement.
`java.sql.Statement` `createStatement(int resultSetType, int resultSetConcurrency)` Calls notImplemented.
`java.sql.Statement` `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`boolean` `getAutoCommit()`
`java.lang.String` `getCatalog()` Calls notImplemented.
`int` `getHoldability()`
`java.sql.DatabaseMetaData` `getMetaData()` Returns the DatabaseMetaData instance passed to setupMetaData.
`int` `getTransactionIsolation()` Calls notImplemented.
`java.util.Map` `getTypeMap()` Calls notImplemented.
`java.sql.SQLWarning` `getWarnings()` Calls notImplemented.
`boolean` `isClosed()` Throw the isClosedException if it has been set, or otherwise return the value passed to setupIsClosed.
`boolean` `isReadOnly()` Calls notImplemented.
`java.lang.String` `nativeSQL(java.lang.String sql)` Calls notImplemented.
`java.sql.CallableStatement` `prepareCall(java.lang.String sql)` Calls notImplemented.
`java.sql.CallableStatement` `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Calls notImplemented.
`java.sql.CallableStatement` `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql)` Throws a statement exception if one has been registered (@see throwStatementExceptionIfAny) or returns the next PreparedStatement instance passed to setupAddPreparedStatement.
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int autoGeneratedKeys)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int[] columnIndexes)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Calls notImplemented.
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, java.lang.String[] columnNames)`
`void` `rollback()` Increments the number of roll back calls.
`void` `setAutoCommit(boolean autoCommit)` Stores the value passed for comparison with the value passed to setupAutoCommit.
`void` `setCatalog(java.lang.String catalog)` Calls notImplemented.
`void` `setExpectedCloseCalls(int callCount)` Register the number of close calls the test should make.
`void` `setExpectedCommitCalls(int callCount)` Register the number of commit calls the test should make.
`void` `setExpectedCreateStatementCalls(int calls)` Register the number of create statement calls the test should make.
`void` `setExpectedResultSetConcurrency(int resultSetConcurrency)` Sets expectations about the possible value of the `resultSetConcurrency` parameter of `createStatement()` calls.
`void` `setExpectedResultSetType(int resultSetType)` Sets expectations about the possible value of the `resultSetType` parameter of `createStatement()` calls.
`void` `setExpectedRollbackCalls(int callCount)` Register the number of roll back calls the test should make.
`void` `setHoldability(int holdability)`
`void` `setReadOnly(boolean readOnly)` Calls notImplemented.
`void` `setTransactionIsolation(int level)` Calls notImplemented.
`void` `setTypeMap(java.util.Map map)` Calls notImplemented.
`void` `setupAddPreparedStatement(java.sql.PreparedStatement prepared)` Deprecated. Adds a PreparedStatement to be return by prepareStatement
`void` `setupAddPreparedStatement(java.lang.String sql, java.sql.PreparedStatement prepared)` Adds a PreparedStatement to be return by prepareStatement
`void` `setupAutoCommit(boolean autoCommitToReturn)`
`void` `setupCloseException(java.sql.SQLException aCloseException)` Pass the SQL exception to throw if close is called during a test.
`void` `setupIsClose(boolean aIsClosed)` Deprecated. Use setupIsClosed
`void` `setupIsClosed(boolean aIsClosed)` Pass the value to return if isClosed is called during a test.
`void` `setupIsClosedException(java.sql.SQLException aIsClosedException)` Pass the SQL exception instance to throw if isClosed is called during a test.
`void` `setupMetaData(java.sql.DatabaseMetaData metaData)` Pass the DataBaseMetaData instance for use with tests.
`void` `setupStatement(java.sql.Statement statement)` Pass the Statement instance for use with tests.
`void` `setupThrowExceptionOnPrepareOrCreate(java.sql.SQLException exception)` Pass the SQL exception to throw if preparedStatement or createStatement is called during a test.

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### MockConnection2

    public MockConnection2()

#### MockConnection2

    public MockConnection2(java.lang.String name)

### Method Detail

#### setupAddPreparedStatement

    public void setupAddPreparedStatement(java.lang.String sql,
                                 java.sql.PreparedStatement prepared)

Adds a PreparedStatement to be return by prepareStatement

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

Throws a statement exception if one has been registered (@see throwStatementExceptionIfAny) or returns the next PreparedStatement instance passed to setupAddPreparedStatement.

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### addExpectedPreparedStatementString

    public void addExpectedPreparedStatementString(java.lang.String sql)

Deprecated. Add an SQL string to use with a prepared staement.

#### addExpectedAutoCommit

    public void addExpectedAutoCommit(boolean autoCommit)

Register the anticipated value for autoCommit during testing.

#### setExpectedCloseCalls

    public void setExpectedCloseCalls(int callCount)

Register the number of close calls the test should make. The valid method will report any discrepancy with the actual count.

#### setExpectedCommitCalls

    public void setExpectedCommitCalls(int callCount)

Register the number of commit calls the test should make. The valid method will report any discrepancy with the actual count.

#### setExpectedCreateStatementCalls

    public void setExpectedCreateStatementCalls(int calls)

Register the number of create statement calls the test should make. The valid method will report any discrepancy with the actual count.

#### setExpectedRollbackCalls

    public void setExpectedRollbackCalls(int callCount)

Register the number of roll back calls the test should make. The valid method will report any discrepancy with the actual count.

#### setExpectedResultSetConcurrency

    public void setExpectedResultSetConcurrency(int resultSetConcurrency)

Sets expectations about the possible value of the `resultSetConcurrency` parameter of `createStatement()` calls.

Parameters:
  `resultSetConcurrency` - One of the constants starting with CONCUR in `ResultSet`.

#### setExpectedResultSetType

    public void setExpectedResultSetType(int resultSetType)

Sets expectations about the possible value of the `resultSetType` parameter of `createStatement()` calls.

Parameters:
  `resultSetType` - One of the constants starting with TYPE in `ResultSet`.

#### setupAddPreparedStatement

    public void setupAddPreparedStatement(java.sql.PreparedStatement prepared)

Deprecated. Adds a PreparedStatement to be return by prepareStatement

See Also:
  `CommonMockConnection2`

#### setupCloseException

    public void setupCloseException(java.sql.SQLException aCloseException)

Pass the SQL exception to throw if close is called during a test.

#### setupIsClose

    public void setupIsClose(boolean aIsClosed)

Deprecated. Use setupIsClosed

#### setupIsClosed

    public void setupIsClosed(boolean aIsClosed)

Pass the value to return if isClosed is called during a test. This is returned unless an isClosedException has been set.

#### setupIsClosedException

    public void setupIsClosedException(java.sql.SQLException aIsClosedException)

Pass the SQL exception instance to throw if isClosed is called during a test.

#### setupMetaData

    public void setupMetaData(java.sql.DatabaseMetaData metaData)

Pass the DataBaseMetaData instance for use with tests.

#### setupStatement

    public void setupStatement(java.sql.Statement statement)

Pass the Statement instance for use with tests.

#### setupThrowExceptionOnPrepareOrCreate

    public void setupThrowExceptionOnPrepareOrCreate(java.sql.SQLException exception)

Pass the SQL exception to throw if preparedStatement or createStatement is called during a test.

#### setupAutoCommit

    public void setupAutoCommit(boolean autoCommitToReturn)

#### close

    public void close()
               throws java.sql.SQLException

Will throw the CloseException if it has been set, or otherwise increment the number or close calls.

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### commit

    public void commit()
                throws java.sql.SQLException

Increments the number of commit calls.

Specified by:
  `commit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

Will throw either of the statement exceptions if one has been set, or otherwise return the Statement passed to setupStatement.

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

Returns the DatabaseMetaData instance passed to setupMetaData.

Specified by:
  `getMetaData` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

Throw the isClosedException if it has been set, or otherwise return the value passed to setupIsClosed.

Specified by:
  `isClosed` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback()
                  throws java.sql.SQLException

Increments the number of roll back calls.

Specified by:
  `rollback` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

Stores the value passed for comparison with the value passed to setupAutoCommit. The validate method will report any discrepency.

Specified by:
  `setAutoCommit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `clearWarnings` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                     int resultSetConcurrency)
                                       throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

Specified by:
  `getAutoCommit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `getCatalog` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

Calls notImplemented. Returns 0.

Specified by:
  `getTransactionIsolation` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `getTypeMap` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `getWarnings` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `isReadOnly` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `nativeSQL` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                         int resultSetType,
                                         int resultSetConcurrency)
                                           throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                              int resultSetType,
                                              int resultSetConcurrency)
                                                throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `setCatalog` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `setReadOnly` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `setTransactionIsolation` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `setTypeMap` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setHoldability

    public void setHoldability(int holdability)
                        throws java.sql.SQLException

Specified by:
  `setHoldability` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Specified by:
  `getHoldability` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                     int resultSetConcurrency,
                                     int resultSetHoldability)
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                              int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                         int resultSetType,
                                         int resultSetConcurrency,
                                         int resultSetHoldability)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                              int autoGeneratedKeys)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                              int[] columnIndexes)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                              java.lang.String[] columnNames)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`